<?php
/**
 * Copyright 2012-2014 Rackspace US, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

require 'Opencloud/autoload.php';

use OpenCloud\Rackspace;

// 1. Instantiate a Rackspace client. You can replace {authUrl} with
// Rackspace::US_IDENTITY_ENDPOINT or similar
$client = new Rackspace('{authUrl}', array(
    'username' => '{username}',
    'apiKey'   => '{apiKey}',
));

// 2. Obtain a Networking service object from the client.
$networkingService = $client->networkingService(null, '{region}');

// 3. Create multiple subnets.
$subnets = $networkingService->createSubnets(array(
    array(
        'name'      => 'My subnet #1',
        'networkId' => '{networkId1}',
        'ipVersion' => 4,
        'cidr'      => '192.168.199.0/24'
    ),
    array(
        'name'      => 'My subnet #2',
        'networkId' => '{networkId2}',
        'ipVersion' => 4,
        'cidr'      => '10.56.4.0/22'
    )
));

foreach ($subnets as $subnet) {
    /** @var $subnet OpenCloud\Networking\Resource\Subnet **/
}
